#ifndef HEAD
#define HEAD

// INCLUDE 
    #include <stdio.h>
    #include <wchar.h>
    #include <locale.h> 

// DEFINE
    #define MAXSYMB_IN_NAME 15
    #define MAXSYMB_IN_SURNAME 20

    #define MAXSYMB_IN_CURROW 20 // SHOOD BE >= THAN MAXSYMB* AND CANNOT BE > 255
    
    #define MAXSTUDENTS 10 // SHOOD BE > 255


    #define clear wchar_t clear[] = L"\n \033[H\033[J \n"; for(int i = 0;clear[i]!='\0';i++)putwchar(clear[i])

// FUNC
    // === output.c ===
    void print_menu_main(void);
    void print_wich_student(void);
    void print_menu_create(char ws);
    void print_menu_edit(char ws);
    void print_menu_del(char ws);
    void print_no_free_space(void);

    // === input.c ===
    char get_num(void);
    void get_row(wchar_t row[]);

    // === logic.c ===
    
#endif
